Bet

When a player places a bet, our API will issue a callback request to deduct the bet amount from the player's balance and retrieve the updated balance.

circle-exclamation

URL

{operatorCallbackURL}

Method

POST

Headers

X-Request-Signature Content-Type Accept

Request Body

Response Body

Request

Parameter
Values
Mandatory
Description

command

string

Y

Indicates the request type.

transactionId

string

Y

Unique reference of the transaction created in our API.

playerId

string

Y

Unique identifier of the player from the operator's system.

roundId

string

Y

Unique reference of the game round.

providerId

number

Y

Unique identifier of the provider in our API.

providerName

string

Y

The name of the provider.

gameCode

string

Y

Unique identifier of the game in our API

gameName

string

Y

The name of the game.

currency

string

Y

Player currency, according to ISO-4217 (EUR, USD ...)

amount

number

Y

Transfer amount.

isRoundFinished

boolean

Y

Indicates whether the round is finished or not. If true, no "win" callback will be sent after this callback, but if false, other corresponding callbacks will be sent. For example, if the player wins, "win" callback request should be sent after this callback, so this value would be false. But if the player loses, no more callback needs to be sent, so this value will be true.

isCall

boolean

Y

If true, Player is in undergoing bonus call event.

timestamp

number

Y

Timestamp of the request.

Response

Parameter
Values
Mandatory
Description

balance

number

Y

Player balance.

statusCode

string

Y

Status code of the execution.

Possible Status Codes

Status codes
Reason

OK

Request successful

ERR_NOT_AUTHENTICATED

Player is not authenticated

ERR_NOT_ENOUGH_MONEY

Player account does not have sufficient funds to complete the operation.

ERR_INTEGRITY_CHECK_FAILED

Message integrity check failed.

ERR_UNKNOWN

Internal server error

In case statusCode is different than "OK", the request will be treated as unsuccessful. An unsuccessful bet request will cancel the current game round, meaning the player will not be able to proceed further. Depending on the response error type a reversal request may be initiated, to make sure there are no remaining open rounds for the particular player at the operator system.

circle-info

A response must be returned within 3 seconds. If the callback request times out or returns a specific error, our API will not retry. If it fails, a 'cancel' request will be sent to revert the current game round.

Example

Request

OK Response

Error Response

Last updated